@import "reset";
@import "fraemwork";

.top {
  height: 30px;
  background: #353535;
  box-shadow: 0 0 10px #6d6d6d;
  color: #FFF;
  position: fixed;
  z-index: 333;

  > div {
    width: 33.3%;
  }

  .l{
    padding-left: 15px;
  }

  .r {
    padding-right: 15px;
  }

}

.box {
  width: 100%;
  height: 100vh;
  background: #e2e2e2;


  .pin-box {
    width: 35%;
    height: 80vh;
    background: #f3f1f1;
    position: relative;
    box-shadow: 0 0 11px #333;
    border-radius:5px;

    &-top {
      border-bottom: 1px solid #CCC;
      height: 7%;
      width: 96%;
      left: 2%;
      position: absolute;
      top: 3%;
      gap: 20px;

      i {
        font-size: 19px;
        color: lightslategray;
      }
      h4 {
        color: lightslategray;
      }
    }

    &-display {
      position: absolute;
      background: #FFF;
      width: 96%;
      left: 2%;
      height: 10%;
      top: 12%;
      border: 1px solid #CCC;
      box-shadow: inset 0 0 5px #CCC;
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 20px;
      color: #222222;
      letter-spacing: 2px;
    }

    &-buttons {
      width: 96%;
      position: absolute;
      left: 2%;
      top: 23%;
      height: 76%;
      display: flex;

      button {
        box-shadow: 0 0 2px #333;
        font-size: 1em;
        color: #333333;
        background: #8ee4f1;
        border: none;

        &:hover {
          background: #5fb2be;
        }
      }

      .l {
        width: 75%;
        height: 80%;

        button {
          width: 33%;
        }
      }

      .r {
        width: 25%;
        height: 80%;

        button:first-of-type {
          height: 80%;
        }
        button:last-of-type {
          height: 20%;
        }
      }

      .bottom-box {
        width: 100%;
        height: 15%;
        gap: 3px;

        button {
          width: 30%;
        }
      }
    }
  }
}